﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/prerelease/BETA/2018.2/BETA_TaskFactory_2018.2.3.412.vsix'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '82E867CDFC9F74314586864D6B812541889557A01D45FA1C796B486BE1855B02'
  checksumType = 'sha256'
  checksum64 = 'ODJFODY3Q0RGQzlGNzQzMTQ1ODY4NjRENkI4MTI1NDE4ODk1NTdBMDFENDVGQTFDNzk2QjQ4NkJFMTg1NUIwMg=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
